/*
 * clock.h
 */

extern void clock_install(void);
extern void clock_remove(void);
extern void clock_div(int);

/*
 * clock_div changes the clock divisor value.  The base freqency of the
 * clock is 1.19318 MHz.  This is divided by the divisor.  The (default)
 * divisor of 65536 (0) gives 18.2 interrupts per second.  The following
 * macro converts the desired # of interrupts per second into the appropriate
 * divisor.  Overflow will result if you try to slow the clock too much!
 */
#define ips2div(x)	((int)(1193180.0 / (x)))

extern long clock_tick;
extern float clock_freq;
extern int did_intr;