/*
 * trs80pc.h -- trs80 emulation routines for a PC
 */

extern void init_trs80pc(struct trs80*);
extern void run_trs80(struct trs80*);

extern mbyte trs_char_glyph[3924];
extern mbyte trs_char32_glyph[sizeof(trs_char_glyph)*2];

/* configurable parameters */
extern int colour;
extern int charset;
extern int sounds;
extern int physmap;
extern int speed;

extern void change_charset(void);
extern void change_colour(void);
extern void change_keyboard(void);
extern void change_speed(void);

/* interface to menu routines */
/* Sure, I should have a menu.h, but that gets messy */

#define M_DISPLAY	(0)
#define M_KEYBOARD	(1)
#define M_COLOUR	(2)
#define M_SOUND		(3)
#define M_SPEED		(4)
#define M_RETURN	(5)
#define M_QUIT		(6)

extern int do_menu(int, int);
extern void menu_active(int, int);
extern char merr[32];

#define MODEL1_MHZ	(1774000)
#define MODEL3_MHZ	(2027520)
